---
title: Cancel a scheduled transfer
url: https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/operations/cancelsitetransfer/
image: https://developers.wpengine.com/og/docs/managed-hosting-platform/api/reference/operations/cancelsitetransfer.png
---

# Cancel a scheduled transfer

DELETE

/sites/{site_id}/site_transfers/{transfer_id}

Select code sample

```sh
curl --request DELETE \
  --url https://api.wpengineapi.com/v1/sites/a1b2c3d4-e5f6-41b2-b3d4-e5f6a1b2c3d4/site_transfers/7c3e1a2b-4f5d-4e6c-b7a8-d9e0f1a2b3c4 \
  --header 'Authorization: Basic <credentials>'
```

-

Cancels a site transfer that has not yet started.

## Limitations & Warnings

- Only transfers that have not yet started can be cancelled. Cancelling a transfer that has already started returns `409 Conflict`.

## Authorizations

- **[basicAuth](https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/#basicauth)**

## Parameters

### Path Parameters

**site_id**

required

string format: uuid

ID of the site

#### Example

```
a1b2c3d4-e5f6-41b2-b3d4-e5f6a1b2c3d4
```

**transfer_id**

required

string format: uuid

ID of the site transfer to cancel

#### Example

```
7c3e1a2b-4f5d-4e6c-b7a8-d9e0f1a2b3c4
```

## Responses

### 204

No Content

### 401

Authentication Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Bad Credentials"
}
```

### 403

Not authorized

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "You don't have permission to perform that action"
}
```

### 404

Not found

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Not Found"
}
```

### 409

Conflict — transfer has already started and cannot be cancelled

Media typeapplication/json

object

**message**

required

A message regarding the conflict that occurred

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

**errors**

An array of error objects describing specific errors that arose when servicing the request

Array\<object>

object

**resource**

required

The name of the resource that was being processed when the error occurred

string

**field**

required

(Optional) The specific field associated with the error

string

**type**

required

(Optional) A type associated with the error. `invalid_value`, `access_error`, `value_unavailable`

string

**code**

required

(Optional) A machine code relating to the error that occurred with the field and resource

string

**message**

required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string

#### Example

```json
{
  "message": "The request conflicts with the current state of the resource.",
  "errors": [
    {
      "resource": "Resource",
      "field": "field_name",
      "type": "invalid_value",
      "code": "invalid",
      "message": "The value is invalid."
    }
  ]
}
```

### 429

Too many requests

### 500

Internal Server Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

#### Example

```json
{
  "message": "An unexpected error occurred, please try again in a few minutes"
}
```

### 503

Service unavailable

## Was this helpful?

Thanks for the feedback!

```json
{"@context":"https://schema.org","@graph":[{"@type":"WebSite","@id":"https://developers.wpengine.com/#website","name":"WP Engine Product Documentation","url":"https://developers.wpengine.com/","description":"Resources for developing, deploying, and scaling on WP Engine.","inLanguage":"en-US","keywords":["API documentation","product documentation","headless WordPress","managed WordPress hosting"],"publisher":{"@id":"https://wpengine.com/#organization"}}]}
```
